# RPM specfile for scrollkeeper module
# Generated Tue Mar 12 18:02:05 2002 GMT by Ximian build system
# $Id: bb_do,v 1.177 2002/03/05 23:03:00 jacob Exp $
# from $Id: ximian-build.conf,v 1.12 2002/01/20 04:03:36 frb Exp $

%define nam	scrollkeeper
%define ver	0.2
%define ximrev	6

Name:     	scrollkeeper
Version: 	0.2
Release:	1.ximian.6
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.1 / i586
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.gnome.org/
Source0:	scrollkeeper-0.2.tar.gz
Patch0:		scrollkeeper-mkdir.patch
Patch1:		scrollkeeper-correct-symlinks.patch
Patch2:		scrollkeeper-no-update.patch
Patch3:		scrollkeeper-config-hardcode.patch
Summary:	A free electronic cataloging system for documentation.
Group:		Applications/System
Provides:	ximian-scrollkeeper = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
It stores metadata specified by the http://www.ibiblio.org/osrt/omf/ (Open
Source Metadata Framework) as well as certain metadata extracted directly
from documents (such as the table of contents).

It provides various functionality pertaining to this metadata to help
browsers, such as sorting the registered documents or searching the
metadata for documents which satisfy a set of criteria.

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING NEWS ABOUT-NLS INSTALL COPYING-DOCS
/usr/bin/*
/usr/share/man/man8/*
/var/lib/scrollkeeper
/usr/share/scrollkeeper/
/usr/share/omf/scrollkeeper/
/usr/*/locale/*/LC_MESSAGES/*


%post
/usr/bin/scrollkeeper-update

%postun
rm -rf /var/lib/scrollkeeper

%package -n libscrollkeeper0-devel
Summary:	Includes and more to develop scrollkeeper applications
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Provides:	libscrollkeeper-devel = %{PACKAGE_VERSION}
Provides:	scrollkeeper-devel = %{PACKAGE_VERSION}
Provides:	ximian-libscrollkeeper0-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libscrollkeeper0-devel
Libraries, include files and other resources you can use to develop Scrollkeeper
applications.


%files -n libscrollkeeper0-devel
%defattr(-, root, root)
/usr/lib/*.a
/usr/lib/*.la
/usr/lib/*.so


%package -n libscrollkeeper0
Summary:	Libraries for scrollkeeper.
Group:		System/Libraries
Provides:	ximian-libscrollkeeper0 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libscrollkeeper0
These are the libraries for Scrollkeeper.

%files -n libscrollkeeper0
%defattr(-, root, root)
/usr/lib/*.so.*


%post -n libscrollkeeper0
ldconfig

%postun -n libscrollkeeper0
ldconfig

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n scrollkeeper-0.2
    ;;
all)
%setup  -q -n scrollkeeper-0.2
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
%patch -p1 -P 3
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    automake --gnu --add-missing --include-deps; autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Mar 12 2002 Ximian, Inc.

- Version: 0.2-1.ximian.6
- Summary: New build.
- New automated build.

